datablock ItemData(SD_GreatHelmMaciWhiteRed_WhiteRedItem)
{
  uiName = "C_GreatHelmMaciWhiteRed";
  iconName = "./icon_vucket";
  image = SD_GreatHelmMaciWhiteRedImage;
  category = "Tools";
  className = "Weapon";
  shapeFile = "./GreatHelmMaciWhiteRed.dts";
  mass = 0.5;
  density = 0.2;
  elasticity = 0;
  friction = 0.6;
  emap = true;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";
  canDrop = true;
};

//### Item Image

datablock ShapeBaseImageData(SD_GreatHelmMaciWhiteRedImage)
{
  shapeFile = "./GreatHelmMaciWhiteRed.dts";
  emap = true;
  mountPoint = 0;
  className = "WeaponImage";
  item = SD_GreatHelmMaciWhiteRedItem;
  melee = false;
  doReaction = false;
  armReady = false;
  doColorShift = true;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Ready";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Ready";
  stateTransitionOnTriggerDown[1] = "Fire";
  stateAllowImageChange[1] = true;

  stateName[2] = "Fire";
  stateTransitionOnTriggerUp[2] = "Ready";
  stateTimeoutValue[2] = "0.2";
  stateFire[2] = true;
  stateAllowImageChange[2] = true;
  stateScript[2] = "onFire";
};

datablock ShapeBaseImageData(SD_GreatHelmMaciWhiteRedMountedImage)
{
  shapeFile = "./GreatHelmMaciWhiteRed.dts";
  emap = true;
  mountPoint = $HeadSlot;
  offset = "0 0 0.0525"; //X Z Y
  eyeOffset = "0 0 0.6";
  eyeRotation = eulerToMatrix("0 0 0");
  scale = "1 1 1";
  correctMuzzleVector = true;
  doColorShift = false;
  colorShiftColor = "1 1 1 1";

  stateName[0] = "Activate";
  stateTimeoutValue[0] = 0.1;
  stateTransitionOnTimeout[0] = "Idle";
  stateSound[0] = weaponSwitchSound;

  stateName[1] = "Idle";
  stateAllowImageChange[1] = true;
};

//### Functions

function SD_GreatHelmMaciWhiteRedImage::onFire(%this,%obj,%slot)
{
  %client = %obj.client;
  %player = %obj;
  if(isObject(%player))
  {
    if(%player.getMountedImage(2) $= nametoID(SD_GreatHelmMaciWhiteRedMountedImage)) %player.unmountImage(2);
    else
    {
      %player.unmountImage(2);
      %player.mountImage(SD_GreatHelmMaciWhiteRedMountedImage,2);
    }
  }
}

function SD_GreatHelmMaciWhiteRedMountedImage::onMount(%this,%obj,%slot) {
 %obj.hideNode(bicorn); %obj.hideNode(cophat); %obj.hideNode(triplume); %obj.hideNode(flareHelmMaciWhiteRedet); %obj.hideNode(HelmMaciWhiteRedet); %obj.hideNode(knithat); %obj.hideNode(plume); %obj.hideNode(pointyHelmMaciWhiteRedet); %obj.hideNode(scouthat); %obj.hideNode(septplume); %obj.hideNode(visor);
 messageClient(%obj.client,"","\c3You put on the \c7Great Helm Maciejowski\c3 (\c2+40%\c3 Head Protection)!"); }
function SD_GreatHelmMaciWhiteRedMountedImage::onUnMount(%this,%obj,%slot) { messageClient(%obj.client,"","\c3You took off the \c7Great Helm Maciejowski\c3 (\c0-40%\c3 Head Protection)!"); }
